org.bdgenomics.adam.rdd.fragment

# Tab6InFormatter

###
Related Docs: object Tab6InFormatter | package fragment

#### class Tab6InFormatter extends InFormatter[Fragment, Fragment, FragmentRDD, Tab6InFormatter] with Logging

Linear Supertypes
Logging, InFormatter[Fragment, Fragment, FragmentRDD, Tab6InFormatter], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Tab6InFormatter
2. Logging
3. InFormatter
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val companion: Tab6InFormatter.type

   Attributes
     protected
   Definition Classes
     Tab6InFormatter → InFormatter

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

14. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

15. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

16. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

17. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

18. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def write(os: OutputStream, iter: Iterator[Fragment]): Unit

    Writes alignment records to an output stream in Bowtie tab6 format.

    Writes alignment records to an output stream in Bowtie tab6 format.

    In Bowtie tab6 format, each alignment record or pair is on a single line. An unpaired alignment record line is [name]\t[seq]\t[qual]\n. For paired-end alignment records, the second end can have a different name from the first: [name1]\t[seq1]\t[qual1]\t[name2]\t[seq2]\t[qual2]\n.

    os

      An OutputStream connected to a process we are piping to.

    iter

      An iterator of records to write.

    Definition Classes
      Tab6InFormatter → InFormatter

### Inherited from Logging

### Inherited from InFormatter[Fragment, Fragment, FragmentRDD, Tab6InFormatter]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped